<?php

namespace FiloBlu\AddressFieldsLengthValidation\Model;

class AdditionalConfigProvider implements \Magento\Checkout\Model\ConfigProviderInterface
{
    public $_helper;

    public function __construct(\FiloBlu\AddressFieldsLengthValidation\Helper\Data $helper) {
        $this->_helper = $helper;
    }

   public function getConfig()
   {
       // adds to window.checkoutConfig these variables
       $_addressFieldsLengthValidationEnabled = $this->_helper->isEnabled();

       if ($_addressFieldsLengthValidationEnabled) {
           return [
               'FiloBlu_AddressFieldsLengthValidation' => [
                   'firstname_autocomplete' => (bool) $this->_helper->getFirstnameAutocomplete(),
                   'lastname_autocomplete' => (bool) $this->_helper->getLastnameAutocomplete(),
                   'firstname_length' => $this->_helper->getFirstnameLength(),
                   'lastname_length' => $this->_helper->getLastnameLength(),
                   'firstname_lastname_sum_length' => $this->_helper->getFirstnameLastnameSumLength(),
                   'company_autocomplete' => (bool) $this->_helper->getCompanyAutocomplete(),
                   'company_length' => $this->_helper->getCompanyLength(),
                   'street_autocomplete' => (bool) $this->_helper->getStreetAutocomplete(),
                   'street_length' => $this->_helper->getStreetLength(),
                   'postcode_autocomplete' => (bool) $this->_helper->getPostcodeAutocomplete(),
                   'postcode_length' => $this->_helper->getPostcodeLength(),
                   'city_autocomplete' => (bool) $this->_helper->getCityAutocomplete(),
                   'city_length' => $this->_helper->getCityLength(),
                   'region_autocomplete' => (bool) $this->_helper->getRegionAutocomplete(),
                   'region_length' => $this->_helper->getRegionLength(),
               ]
           ];
       }
   }
}
