define([
    'jquery',
    'mage/translate'
], function($) {
    "use strict";

    return function() {
        $.validator.addMethod('validate-filoblu-firstname-lastname-sum-length', function(value, element, params) {
            return ((parseInt(value.length + $(params.target).val().length) <= parseInt(params.length)) && (parseInt(value.length) <= parseInt(params.sumLength)));
        }, function(params, element) {
            return $.mage.__('The field must be less or equal than %1 characters and the sum of firstname and lastname fields must be less or equal than %1 characters.').replace('%1', params.length).replace('%1', params.sumLength);
        });

        $.validator.addMethod('validate-filoblu-street-sum-length', function(value, element, params) {
            var streetsSum = value.length;
            $('input[name="street[]"]:not(' + params.target + ')').each(function(index, element_2) {
                streetsSum += $(element_2).val().length;
            });
            return streetsSum <= params.length;
        }, function(params, element) {
            return $.mage.__('All address fields must contain a maximum of %1 characters.').replace('%1', params.length);
        });

        $.validator.addMethod('validate-filoblu-company-street-sum-length', function(value, element, params) {
            var streetsSum = $('input[name="company"]').val().length;
            $('input[name="street[]"]').each(function(index, element_2) {
                streetsSum += $(element_2).val().length;
            });
            return streetsSum <= params.length;
        }, function(params, element) {
            return $.mage.__('All address fields (including company) must contain a maximum of %1 characters.').replace('%1', params.length);
        });

        $.validator.addMethod('validate-filoblu-field-length', function(value, element, params) {
            return parseInt($(params.target).val().length) <= parseInt(params.length);
        }, function(params, element) {
            return $.mage.__('The field must be less or equal than %1 characters.').replace('%1', params.length);
        });
    }
});
