define([
    'jquery',
    'mage/translate'
], function($) {
    "use strict";

    return function(validator) {

        validator.addRule('validate-filoblu-firstname-lastname-sum-length', function(value, params, additionalParams) {
            return ((parseInt(value.length + $(params.target).val().length) <= parseInt(params.length)) && (parseInt(value.length) <= parseInt(params.sumLength)));
        }, $.mage.__('The field characters count or the sum of firstname and lastname fields exceeds maximum characters.'));

        validator.addRule('validate-filoblu-street-sum-length', function(value, params, additionalParams) {
            var streetsSum = value.length;
            $('div[name*="' + params.prefix + '.street."] input[name^="street["]:not(' + params.target + ')').each(function(index, element) {
                streetsSum += $(element).val().length;
            });
            return streetsSum <= params.length;
        }, $.mage.__('The sum of the street fields exceeds maximum characters.'));

        validator.addRule('validate-filoblu-company-street-sum-length', function(value, params, additionalParams) {
            var streetsSum = $('div[name="' + params.prefix + '.company"] input[name="company"]').val().length;
            $('div[name*="' + params.prefix + '.street."] input[name^="street["]').each(function(index, element) {
                streetsSum += $(element).val().length;
            });
            return streetsSum <= params.length;
        }, $.mage.__('The sum of the street fields exceeds maximum characters.'));

        validator.addRule('validate-filoblu-field-length', function(value, params, additionalParams) {
            return parseInt($(params.target).val().length) <= parseInt(params.length);
        }, $.mage.__('The field exceeds maximum characters.'));

        return validator;
    };
});
